Subject: Re: probs porting ssh
From: [email-masked] ("Ron G. Minnich")

20 Feb 1997 10:01:54 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <Pine.SUN.3.91.970220121823.25612D-100000.cygnus.gnu-win32@terra>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
X-Sender: rminnich@terra
Original-To: [email-masked]
In-Reply-To: <[email-masked]>
Original-Sender: [email-masked]

On Thu, 20 Feb 1997, aspa wrote:
> On Tue, 18 Feb 1997, Sheik wrote:
> >   What I was going to do, was cheat, and make a timeout for the select(), 
> > and just simply check stdin each time select() times out, (I have NO idea 
> > if this is good or bad, or will cause cpu usage to go sky high, I just 
> > wanted to see if it worked) it *does* timeout, and goes into a check against
> > stdin by read()'ing the fd.
> timeouts don't solve this problem.

here's what i did for rstp: 
select on the console filehandle with a timeout of zero. Then select on 
the sockets with the standard timeout. This is ok on rstp because the 
sockets are what's really important, so if the console i/o has to wait a 
bit that is ok. I don't know if this approach will work for you.

ron
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".